Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class MemberValueHandle

    java.lang.Object
      org.eclipse.birt.report.model.api.DesignElementHandle
          org.eclipse.birt.report.model.api.ContentElementHandle
              org.eclipse.birt.report.model.api.MemberValueHandle

All Implemented Interfaces:
  org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel, org.eclipse.birt.report.model.elements.interfaces.IMemberValueModel

    public class MemberValueHandle

extends ContentElementHandle
implements org.eclipse.birt.report.model.elements.interfaces.IMemberValueModel

CrosstabMemberValueHandle

Field Summary

Fields inherited from class org.eclipse.birt.report.model.api.ContentElementHandle
`element`

Fields inherited from class org.eclipse.birt.report.model.api.DesignElementHandle
`module`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IMemberValueModel
`LEVEL_PROP, MEMBER_VALUES_PROP, VALUE_PROP`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel
`COMMENTS_PROP, CUSTOM_XML_PROP, DISPLAY_NAME_ID_PROP, DISPLAY_NAME_PROP, EVENT_HANDLER_CLASS_PROP, EXTENDS_PROP, FULL_LABEL, ID_SUFFIX, NAME_PROP, NEW_HANDLER_ON_EACH_EVENT_PROP, NO_SLOT, PROPERTY_MASKS_PROP, REF_TEMPLATE_PARAMETER_PROP, SHORT_LABEL, USER_LABEL, USER_PROPERTIES_PROP, VIEW_ACTION_PROP`

Constructor Summary
`MemberValueHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)` Constructs a member value handle with the given design and the element.

Method Summary
`java.lang.String` | `getCubeLevelName()` Gets name of the referred cube level element.
`LevelHandle` | `getLevel()` Gets the cube level handle for this member value.
`java.lang.String` | `getValue()` Gets the value of this member value handle.
`void` | `setLevel(LevelHandle levelHandle)` Sets the referred level of this member value.
`void` | `setValue(java.lang.String value)` Sets the value of this member value.

Methods inherited from class org.eclipse.birt.report.model.api.ContentElementHandle
`addListener, addUserPropertyDefn, canTransformToTemplate, clientsIterator, createTemplateElement, derivedIterator, getElement, getEventHandlerClass, getExtends, getName, getPrivateStyle, getQualifiedName, getUserProperties, getUserPropertyDefnHandle, isTemplateParameterValue, localize, removeListener, revertToReportItem, revertToTemplate, setEventHandlerClass, setExtends, setExtendsName, setName, setStyle, setStyleName`

Methods inherited from class org.eclipse.birt.report.model.api.DesignElementHandle
`add, add, addElement, addElement, cachePropertyHandles, canContain, canContain, canContain, canContain, canDrop, canEdit, clearAllProperties, clearContents, clearProperty, copy, copyPropertyTo, doSort, drop, drop, drop, dropAndClear, dropAndClear, dropAndClear, dropUserPropertyDefn, findContentSlot, getBooleanProperty, getChoices, getColorProperty, getContainer, getContainerPropertyHandle, getContainerSlotHandle, getContent, getContentCount, getContents, getDefn, getDesign, getDesignHandle, getDimensionProperty, getDisplayLabel, getDisplayLabel, getDisplayProperty, getEffectiveModule, getElementFactory, getElementProperty, getExpressionProperty, getExternalizedValue, getExternalizedValue, getExternalizedValue, getFactoryElementHandle, getFactoryPropertyHandle, getFloatProperty, getFontProperty, getFullName, getHostViewHandle, getID, getIndex, getIntProperty, getListProperty, getListProperty, getMethods, getModule, getModuleHandle, getNumberProperty, getProperty, getPropertyBinding, getPropertyBindingExpression, getPropertyBindings, getPropertyDefn, getPropertyHandle, getPropertyIterator, getRoot, getSemanticErrors, getSlot, getStringProperty, getStyle, getXPath, hasLocalProperties, hasSemanticError, initializeSlotHandles, isDirectionRTL, isInTemplateParameter, isValid, move, move, moveTo, moveTo, moveTo, moveTo, newHandlerOnEachEvent, paste, paste, paste, paste, semanticCheck, setBooleanProperty, setEncryption, setExpressionProperty, setExtendsElement, setFloatProperty, setIntProperty, setNewHandlerOnEachEvent, setNumberProperty, setProperties, setProperty, setPropertyBinding, setPropertyBinding, setStringProperty, setStyleElement, setValid, shift, showError, slotsIterator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MemberValueHandle

    public MemberValueHandle(org.eclipse.birt.report.model.core.Module module,
                             org.eclipse.birt.report.model.core.DesignElement element)

  Constructs a member value handle with the given design and the element. The application generally does not create handles directly. Instead, it uses one of the navigation methods available on other element handles.

  Parameters:
    `module` - the module
    `element` - the model representation of the element

Method Detail

### getValue

    public java.lang.String getValue()

  Gets the value of this member value handle.

  Returns:
    value of this member

### setValue

    public void setValue(java.lang.String value)
                  throws SemanticException

  Sets the value of this member value.

  Parameters:
    `value` - the value to set
  Throws:
    `SemanticException`

### getCubeLevelName

    public java.lang.String getCubeLevelName()

  Gets name of the referred cube level element.

  Returns:
    name of the referred cube level

### getLevel

    public LevelHandle getLevel()

  Gets the cube level handle for this member value.

  Returns:
    the referred cube level handle if resolved, otherwise null

### setLevel

    public void setLevel(LevelHandle levelHandle)
                  throws SemanticException

  Sets the referred level of this member value.

  Parameters:
    `levelHandle` -
  Throws:
    `SemanticException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.